Bug 84948 - sysutils/smartmontools: Patches for 3ware twa support
sysutils/smartmontools: Patches for 3ware twa support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: lawrance
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 13:30 UTC by Rudolf Čejka
Modified: 2005-10-11 17:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rudolf Čejka 2005-08-15 13:30:19 UTC
 
 I have created patches for port sysutils/smartmontools for 3ware twa
 support. However they are somewhat longer, so I have uploaded them to
 ftp://ftp.FreeBSD.cz/pub/FreeBSD-local/smartmontools-5.33-twa/:
 
 patch-config.h.in
   - just in the case if twa include files are installed
 patch-configure.in
   - just in the case if twa include files are installed
   (both untested and they are not needed for port)
 
 patch-os_freebsd.h
   - copy outs from twa include files
 patch-os_freebsd.c.2
   - it is not sufficient to test just ioctl() return value in FreeBSD,
   because when SMART is disabled, ioctl() returns 0 and only request.error
   indicates, that something went wrong (and I have removed one perror(),
   because it produced not very fine output, when smartctl -i /dev/ad0 has
   been called on drive with disabled SMART: Unknown error 0)
   (this patch is for better smartctl functionality and is useful in all
   cases, even without twa support)
 patch-os_freebsd.c.3
   - main patch for twa support with one redundant line
   "cmd->tu_command.ata.sector_count = 1;" removed.
 
 I have mailed about twa support to maintainer (martines@rochester.rr.com)
 at Sun, 7 Aug 2005, however still without response, so I decided to send
 them as PR too, so it is not forgotten.
Comment 1 lawrance freebsd_committer 2005-08-31 02:00:53 UTC
Dear maintainer of the port sysutils/smartmontools,

Can you please review this PR:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/84948

and let us know your thoughts.  Thanks!
Comment 2 lawrance freebsd_committer 2005-08-31 02:01:00 UTC
State Changed
From-To: open->feedback

Asked maintainer
Comment 3 lawrance freebsd_committer 2005-08-31 02:21:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Watch
Comment 4 lawrance freebsd_committer 2005-09-14 16:31:32 UTC
State Changed
From-To: feedback->open

Maintainer timeout
Comment 5 lawrance freebsd_committer 2005-10-10 13:40:34 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Please consider forwarding your patches to the smartmontools 
people for inclusion in their distribution.
Comment 6 Jung-uk Kim freebsd_committer 2005-10-10 22:31:51 UTC
I had a similar patch here:

http://people.freebsd.org/~jkim/smartmontools-port.tgz

And it was posted here for review:

http://docs.freebsd.org/cgi/mid.cgi?200508191558.06857.jkim
http://docs.freebsd.org/cgi/mid.cgi?200508191733.28443.jkim

I didn't know you're working on this issue. :-(  Actually I was able 
to contact both port maintainer and driver maintainer.  Port 
maintainer said he might consider putting my patch into the next 
release.  I don't know the current status though.

Jung-uk Kim
Comment 7 Rudolf Čejka 2005-10-11 12:14:27 UTC
Jung-uk Kim wrote (2005/10/10):
> I didn't know you're working on this issue. :-(  Actually I was able 
> to contact both port maintainer and driver maintainer.  Port 
> maintainer said he might consider putting my patch into the next 
> release.  I don't know the current status though.

Hello, if you mean Eduard Martinescu as a smartmontools maintainer,
I'm in contact with him too. However, it seems that he is very busy.

Regards.

-- 
Rudolf Cejka <cejkar at fit.vutbr.cz> http://www.fit.vutbr.cz/~cejkar
Brno University of Technology, Faculty of Information Technology
Bozetechova 2, 612 66  Brno, Czech Republic
Comment 8 Jung-uk Kim freebsd_committer 2005-10-11 17:13:29 UTC
On Tuesday 11 October 2005 07:14 am, Rudolf Cejka wrote:
> Jung-uk Kim wrote (2005/10/10):
> > I didn't know you're working on this issue. :-(  Actually I was
> > able to contact both port maintainer and driver maintainer.  Port
> > maintainer said he might consider putting my patch into the next
> > release.  I don't know the current status though.
>
> Hello, if you mean Eduard Martinescu as a smartmontools maintainer,
> I'm in contact with him too. However, it seems that he is very
> busy.

My patch was already committed to smartmontools CVS two weeks ago:

http://cvs.sourceforge.net/viewcvs.py/smartmontools/sm5/CHANGELOG?r1=1.515&r2=1.516&sortby=date&diff_format=u
http://cvs.sourceforge.net/viewcvs.py/smartmontools/sm5/configure.in?r1=1.111&r2=1.112&sortby=date&diff_format=u
http://cvs.sourceforge.net/viewcvs.py/smartmontools/sm5/os_freebsd.c?r1=1.46&r2=1.47&sortby=date&diff_format=u
http://cvs.sourceforge.net/viewcvs.py/smartmontools/sm5/os_freebsd.h?r1=1.18&r2=1.19&sortby=date&diff_format=u

I believe he incorporated part of your patch also.

Jung-uk Kim